local old_set_revive_boost = PlayerDamage.set_revive_boost
local old_revive = PlayerDamage.revive
local old_init = PlayerDamage.init

local t = PlayerDamage.change_health

function PlayerDamage:init(unit)
	old_init(self,unit)
	if not Berserker_Help_mod._diff_mult_loaded then
		Berserker_Help_mod.available_mult_num[1] = tweak_data.player.damage.REVIVE_HEALTH_STEPS[1]
		Berserker_Help_mod._diff_mult_loaded = true
	end
	Berserker_Help_mod:Set_Player_Damage(self)
	Berserker_Help_mod:AdjustFixed()
	self:replenish()
end

function PlayerDamage:set_revive_boost(revive_health_level)
	if not Berserker_Help_mod._settings.combat_cancer then
		old_set_revive_boost(self,revive_health_level)
	else
		if not Berserker_Help_mod:AffectedBuild() then
			old_set_revive_boost(self,revive_health_level)
		end
	end
end

function PlayerDamage:revive(helped_self)
	
	if Berserker_Help_mod:AffectedBuild() then
		tweak_data.player.damage.REVIVE_HEALTH_STEPS = { Berserker_Help_mod.available_mult_num[Berserker_Help_mod._settings.multiplier] }
	else
		tweak_data.player.damage.REVIVE_HEALTH_STEPS ={ Berserker_Help_mod.available_mult_num[1] }
	end
	old_revive(self,helped_self)
end